Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a BigQuery database. First you need setup a service account to access BigQuery, see this article for more explanation.

You will need to provide:

  • key: Copy the value of JSON field client-email as key.

  • token: Copy the value of JSON field private-key as token.

Notes : To ensure that e.g. only the Luzmo application can access your Bigquery instance, it is highly recommended to whitelist Luzmo's range of static IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

Install
npm install @luzmo/nodejs-sdk

The result of a call to create a connection to a BigQuery

Example Response
200
400
500
{
  "properties": {
    "key": "luzmo-bigquery-connector@alien-program-431211-h3.iam.gserviceaccount.com"
  },
  "date": "2024-08-01T13:52:47.971Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "bigquery",
  "name": "new Bigquery connection",
  "id": "0ab03989-c19b-46b0-90d8-5a08e70dac58",
  "user_id": "b78d9830-0dad-4b11-a6d4-23972c124020",
  "updated_at": "2024-08-01T13:52:47.987Z",
  "created_at": "2024-08-01T13:52:47.973Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "description": null,
  "port": null,
  "version": null,
  "plugin_id": "803bfda7-9217-42c7-94d5-2d2c60648eb9",
  "shareable_id": "f016a3a5-a44b-4b68-915e-dbe492e7d3c8"
}